<?php
/* Holger Weß*/
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if ( class_exists('modTTLive14daysHelper') )
{
return;
}

class modTTLive14daysHelper
{
	function getTTLive14days(&$params)
	{
		    global $mainframe;
		    Jimport('joomla.filesystem.file');
        
        /***
        *   Cache XML-File to reduce traffic
        *   IF XML is older than 1 hours -> renew (store XML in TMP folder)
        */
		       $area = "";
        		if ($params->get(display_type)==1)
        		{
          			$area .= "&Area=next";
        		}
       		else
        		{
          			$area .= "&Area=last";
        		}
		    if(!JFile::exists("tmp". DS . "14Days" .$area . ".xml") || mktime()-3600 > filemtime("tmp". DS . "14Days" .$area . ".xml")) {
		
			    $url = $params->get(url);
			    $handle = fopen($url, "rb");
			    $contents = '';
			        
			    while (!feof($handle)) {
			            $html .= fread($handle, 8192);
			    }
			    fclose($handle);
			    JFile::write("tmp". DS . "14Days" .$area . ".xml", $html);    
		    }
    
		    /**
		     * XML aus lokalem tmp Folder laden
		     */
  		  if($xml = simplexml_load_file("tmp". DS . "14Days" .$area . ".xml", NULL, ($params->get(debug)==1)?LIBXML_NOERROR:NULL)) 
        {
			$plan .= "<table style='text-align:center;width:100%;padding:0px;border-spacing:0pt;border::0pt;' class='" . $params->get(tableClassName) . "'>\n";
            $plan .= "<tr><th style='text-align:center'>Datum</th>\n";
            $plan .= "<th style='text-align:center'>Zeit</th>\n";
            $plan .= "<th style='text-align:left'>Staffel</th>\n";
            $plan .= "<th style='text-align:right'>Heimteam</th>\n";
			$plan .= "<th style='text-align:center'>&nbsp;</th>\n";
            $plan .= "<th style='text-align:left'>Gastteam</th>\n";               
            if ($params->get(display_type)==0) 
            {
                $plan .= "<th style='text-align:center'>Ergebnis</th>\n"; 
            }
            $plan .= "</tr>\n"; 
            $tableRow = "even";  
            foreach($xml->Content->Spiel as $key => $attribute) 
            {
                if (date($attribute->Datum) != date($dateOld))
                {
                    if ($tableRow == "even")
                    {
                        $tableRow = "odd";
                    }
                    else
                    {
                          $tableRow = "even";
                    }
                }
                $dateOld = $attribute->Datum;
				$thedate = strftime('%d.%m.%Y', strtotime($attribute->Datum));
                $plan .= "<tr class='".$tableRow ."'><td>". $attribute->Tag . ", " .$thedate ."</td>\n";
                $plan .= "<td>".$attribute->Zeit ."</td>\n";
				$plan .= "<td>".$attribute->Staffelname ."</td>\n";
                $isHeimteam = false;
                if ((strstr($attribute->Heimmannschaft, "Herren")) or  (strstr($attribute->Heimmannschaft, "Jungen")) or  (strstr($attribute->Heimmannschaft, "Schüler")) or (strstr($attribute->Heimmannschaft, "Damen")))
                {
                    $isHeimteam = true;
                    $plan .= "<td><b>".$attribute->Heimmannschaft."</b></td>\n";
                }
                else
                {
                  $plan .= "<td>".$attribute->Heimmannschaft."</td>\n";
                }
				$plan .= "<td> -</td>";
                if ((strstr($attribute->Gastmannschaft, "Herren")) or  (strstr($attribute->Gastmannschaft, "Jungen")) or  (strstr($attribute->Gastmannschaft, "Schüler")) or (strstr($attribute->Gastmannschaft, "Damen")))
                {
                    $plan .= "<td><b>".$attribute->Gastmannschaft."</b></td>\n";
                }
                else
                {
                  $plan .= "<td>".$attribute->Gastmannschaft."</td>\n";
                }                    
                if ($params->get(display_type)==0)  /*RÃ¼ckschau*/
                {
                    $array = explode ( ':', $attribute->Ergebnis );
                    $color="black";
                    if ((intval($array[0])) > (intval($array[1])))
                    {
                        if ($isHeimteam)
                        {
                            $color="green";
                        }
                        else
                        {
                            $color="red";
                        }
                    }
                    if ((intval($array[1])) > (intval($array[0])))
                    {
                        if (!$isHeimteam)
                        {
                            $color="green";
                        }
                        else
                        {
                            $color="red";
                        }
                    }   
                    if ($color!="black")
                    {
                        $plan .= "<td style='color:".$color ."'>";
                    }
                    else
                    {
                        $plan .= "<td>";
                    }
            
                    if ($attribute->Link) 
                    { 
                        $plan .="<a style=\"color:".$color ."\" href=\"".htmlentities($attribute->Link) ."\" target=\"_blank\">"; 
                    } 
                    $plan .=$attribute->Ergebnis; 
                    if ($attribute->Link)
                    {
                        $plan .="</a>"; 
                    } 
                    $plan .= "</td>\n";
                } 
                $plan .= "</tr>\n";
            }
            $plan .= "</table>\n";
            $plan .= "<br/>\n";
      	    echo $plan;
        } 
        else 
        {
            echo 'Konnte TT-Live-XML nicht laden';
        }
	}
}
?>